<?php
 
 
 

namespace PhpWA\Protocol\Proto\ContextInfo;

use UnexpectedValueException;




class QuotedType
{
    


    const EXPLICIT = 0;
    


    const AUTO = 1;

    private static $valueToName = [
        self::EXPLICIT => 'EXPLICIT',
        self::AUTO => 'AUTO',
    ];

    public static function name($value)
    {
        if (!isset(self::$valueToName[$value])) {
            throw new UnexpectedValueException(sprintf(
                    'Enum %s has no name defined for value %s', __CLASS__, $value));
        }
        return self::$valueToName[$value];
    }


    public static function value($name)
    {
        $const = __CLASS__ . '::' . strtoupper($name);
        if (!defined($const)) {
            throw new UnexpectedValueException(sprintf(
                    'Enum %s has no value defined for name %s', __CLASS__, $name));
        }
        return constant($const);
    }
}

